Ubuntu Tweak nie uruchamia się w żaden sposób


(greh) #1

Witam i o zdrowie pytam. :smiley:

Mam problem z nie uruchamiającym się Ubuntu Tweak.

Gdy kliknę na ikonę na docku to nic się nie dzieje. Zero, nada.

Tak samo, gdy chcę odpalić przez terminal poleceniem

ubuntu-tweak

wtedy wyskakują następujące błędy:

greh@greh-laptop:~$ ubuntu-tweak

libcompizconfig: dlopen: /usr/lib/compizconfig/backends/libgconf.so: nie można otworzyć pliku obiektu dzielonego: Nie ma takiego pliku ani katalogu


Checking if settings need to be migrated ...no

Checking if internal files need to be migrated ...no

Backend : ini

Integration : true

Profile : default

Adding plugins

Initializing core options...done

[ModuleLoader][ERROR] Module import error: list index out of range ( __init__.py:160)


(ubuntu-tweak:10562): GLib-GIO-CRITICAL **: Settings schema 'com.canonical.Unity.Launcher' is not installed


Naruszenie ochrony pamięci

Nie pomaga nawet dodanie sudo przed poleceniem uruchamiającym program.

Zawsze działało, ale jakoś nagle od kilku dni nie działa.

Zarówno na laptopie jak i na PC.

Pomocy! :smiley:


(roobal) #2

Masz zainstalowany libgconf?

Pozdrawiam!


(greh) #3

Pojęcia nie mam.

Jak to sprawdzić i jak zainstalować?


(marcin82) #4

Tutaj raczej chodzi o któryś z tych dwóch pakietów:

http://packages.ubuntu.com/search?searc ... c&arch=any

czyli:

compizconfig-backend-gconf

i/lub/oraz/albo:

gnome-settings-daemon

Jeśłi nie używasz compiza => zainstaluj może ten drugi:

sudo apt-get -y install gnome-settings-daemon

======= Odnośnie sprawdzenia, który pakiet dostarcza danego pliku: - na przykład:

root@debian:~# apt-file search libgconf.so

compiz-gtk: /usr/lib/compiz/libgconf.so

compizconfig-backend-gconf: /usr/lib/compizconfig/backends/libgconf.so

gnome-settings-daemon: /usr/lib/gnome-settings-daemon-3.0/libgconf.so

PS Liczba postów = Unix Epoch +1 :smiley: PS 2 Pakiet apt-file też bodajże trzeba zainstalować "z łapy":

sudo apt-get -y install apt-file

(greh) #5
gnome-settings-daemon jest już w najnowszej wersji.

Instalować Compiza? Nie namiesza?


(marcin82) #6

A co u Ciebie pokazuje polecenie?

apt-file search libgconf.so

Nie wiem czy Compiz nie namiesza - mój toster się nie nadaje ;]


(greh) #7

Pokazuje:

greh@greh-komputer:~$ apt-file search libgconf.so

compizconfig-backend-gconf: /usr/lib/compizconfig/backends/libgconf.so

gnome-settings-daemon: /usr/lib/gnome-settings-daemon-3.0/libgconf.so

(marcin82) #8

Sprawdź jeszcze czy masz taki pakiet libgconf2-4 :

http://packages.ubuntu.com/oneiric/libgconf2-4

Jeśłi nie masz - spróbuj zainstalować ten o którym mówisz:

compizconfig-backend-gconf

Nie wiem czy są to błędy w zależnościach czy inny diabeł ...


(greh) #9

Ale do niedawna działało bez problemów, od wczoraj coś się powaliło.

Ok, oto wynik:

greh@greh-komputer:~$ apt-file search libgconf2-4

gconf-defaults-service: /usr/lib/libgconf2-4/gconf-defaults-mechanism

libgconf2-4: /usr/lib/libgconf2-4/2/libgconfbackend-evoldap.so

libgconf2-4: /usr/lib/libgconf2-4/2/libgconfbackend-oldxml.so

libgconf2-4: /usr/lib/libgconf2-4/2/libgconfbackend-xml.so

libgconf2-4: /usr/lib/libgconf2-4/gconf-sanity-check-2

libgconf2-4: /usr/lib/libgconf2-4/gconfd-2

libgconf2-4: /usr/share/doc/libgconf2-4/AUTHORS

libgconf2-4: /usr/share/doc/libgconf2-4/NEWS.gz

libgconf2-4: /usr/share/doc/libgconf2-4/README

libgconf2-4: /usr/share/doc/libgconf2-4/TODO

libgconf2-4: /usr/share/doc/libgconf2-4/changelog.Debian.gz

libgconf2-4: /usr/share/doc/libgconf2-4/copyright

Instalować?


(marcin82) #10

Nie nie - czy masz zainstalowany pakiet sprawdzisz poleceniem:

apt-cache policy libgconf2-4

Ten pakiet masz - więc jak chcesz - to próbuj z compizem. ====== Możesz jeszcze spróbować:

sudo dpkg-reconfigure gnome-settings-daemon

potem:

sudo dpkg-reconfigure libgconf2-4

Potem się wyloguj i zaloguj ponownie i spróbuj uruchomić Ubuntu Tweak.


(greh) #11

Wynik powyższego:

greh@greh-komputer:~$ apt-cache policy libgconf2-4

libgconf2-4:

  Zainstalowana: 3.2.3-1ubuntu1~oneiric1

  Kandydująca: 3.2.3-1ubuntu1~oneiric1

  Tabela wersji:

 *** 3.2.3-1ubuntu1~oneiric1 0

        500 http://ppa.launchpad.net/gnome3-team/gnome3/ubuntu/ oneiric/main amd64 Packages

        100 /var/lib/dpkg/status

     3.2.3-0ubuntu0.1 0

        500 http://pl.archive.ubuntu.com/ubuntu/ oneiric-updates/main amd64 Packages

     3.2.0-0ubuntu1 0

        500 http://pl.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages

-- Dodane 05.04.2012 (Cz) 22:08 --

Niestety, to samo:

greh@greh-komputer:~$ ubuntu-tweak

libcompizconfig: dlopen: /usr/lib/compizconfig/backends/libgconf.so: nie można otworzyć pliku obiektu dzielonego: Nie ma takiego pliku ani katalogu


Checking if settings need to be migrated ...no

Checking if internal files need to be migrated ...no

Backend : ini

Integration : true

Profile : default

Adding plugins

Initializing core options...done

[ModuleLoader][ERROR] Module import error: list index out of range ( __init__.py:160)


(ubuntu-tweak:31312): GLib-GIO-CRITICAL **: Settings schema 'com.canonical.Unity.Launcher' is not installed


Naruszenie ochrony pamięci

(marcin82) #12

Poza tym w Gnome 3 nie działa Compiz, więc to sobie możesz darować, bo się coś rzeczywiście namiesza.

Zajrzyj jeszcze do tego wątku:

http://ubuntu.pl/forum/viewtopic.php?f=145&t=155342 .


(roobal) #13

Sprawdzisz poleceniem

dpkg -l | grep libgconf

a zainstalujesz przy pomocy apt-get albo w Centrum Oprogramowania.

Pozdrawiam!